
#language: ru

@MovingProductsRLS

Функционал: 007. MovingProductsRLS. Создание заданий на доставку РЛС 

Сценарий: 007.1. MovingProductsRLS. Создание задания на доставку для перемещения РЛС

	Дано Я подключаюсь под "Создание заданий на доставку РЛС"
	Дано я устанавливаю текущему сеансу заголовок приложения "17.007. РЛС Перемещения товаров"
	Дано я удаляю объекты "Документы.к2ЗаданиеНаДоставку" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Рабочее место менеджера по доставке'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Группа складов для отгрузки'
	И в поле 'Распоряжения на дату' я ввожу текст '19.02.20'
	И в таблице "ЗаданияНаДоставкуПланируемые" я нажимаю на кнопку с именем 'ЗаданияНаДоставкуПланируемыеСоздатьЗаданияНаДоставку'
	Тогда открылось окно 'Форма выбора транспорта'
	И в таблице "ТранспортныеСредства" я перехожу к строке:
		| 'Наименование'  |
		| 'А524НВ Газель' |
	И я нажимаю на кнопку '>'
	И я нажимаю на кнопку 'Сформировать задания'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И в таблице "РаспоряженияНаДоставку" я перехожу к строке:
		| 'Вес, кг' |
		| '30'      |
	И я нажимаю на кнопку с именем 'ПеренестиСтрокиВРейс'
	И я перехожу к закладке "Задания на доставку"
	И в таблице "ЗаданияНаДоставкуВРаботе" я перехожу к строке:
		| 'Вес, кг' | 'Водитель'             | 'Склад'                       | 'Статус'      | 'Транспорт'     |
		| '30'      | 'Водитель Петров Петр' | 'Группа складов для отгрузки' | 'Формируется' | 'А524НВ Газель' |
	И в таблице "ЗаданияНаДоставкуВРаботе" я активизирую поле с именем "ЗаданияНаДоставкуВРаботеСтатус"
	И я нажимаю на кнопку с именем 'УстановитьСтатусКПогрузке'
	И Я закрываю окно 'Формирование заданий на доставку на *'

Сценарий: 007.2. MovingProductsRLS. Завершение
	
	И я закрываю сеанс TESTCLIENT